Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit.html.images
Class CancelControlIcon

    java.lang.Object
      javax.faces.application.Resource
          org.richfaces.resource.AbstractBaseResource
              org.richfaces.resource.AbstractCacheableResource
                  org.ajax4jsf.resource.Java2Dresource
                      org.richfaces.renderkit.html.images.CancelControlIcon

All Implemented Interfaces:
  org.richfaces.resource.CacheableResource, org.richfaces.resource.StateHolderResource

    public class CancelControlIcon

extends Java2Dresource

implementation of the default CANCEL icon renderer

Since:
  3.2.0
Author:
  Anton Belevich

Field Summary
`protected static java.lang.String` | `ALTERNATE_COLOR`
`protected java.lang.Integer` | `iconBorderColor`
`protected java.lang.Integer` | `iconColor`

Fields inherited from class org.richfaces.resource.AbstractBaseResource
`URL_PROTOCOL`

Fields inherited from class javax.faces.application.Resource
`COMPONENT_RESOURCE_KEY`

Constructor Summary
`CancelControlIcon()`

Method Summary
`java.awt.Dimension` | `getDimension()` Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images
`protected void` | `paint(java.awt.Graphics2D g2d, java.awt.Dimension dimension)` Template method for create image as Applet-like paint.
`void` | `readState(javax.faces.context.FacesContext context, java.io.DataInput stream)`
`void` | `writeState(javax.faces.context.FacesContext context, java.io.DataOutput stream)`

Methods inherited from class org.ajax4jsf.resource.Java2Dresource
`decodeColor, encodeSkinParameter, getColorValueParameter, getContentType, getHeight, getInputStream, getValueParameter, isTransient`

Methods inherited from class org.richfaces.resource.AbstractCacheableResource
`addCacheControlResponseHeaders, getEntityTag, getExpires, getTimeToLive, isCacheable, isMatchesEntityTag, isMatchesEntityTag, isMatchesLastModified, isMatchesLastModified, setCacheable, userAgentNeedsUpdate`

Methods inherited from class org.richfaces.resource.AbstractBaseResource
`addNoCacheResponseHeaders, getClassLoader, getContentLength, getLastModified, getRequestPath, getResponseHeaders, getURL`

Methods inherited from class javax.faces.application.Resource
`getLibraryName, getResourceName, setContentType, setLibraryName, setResourceName, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ALTERNATE_COLOR

    protected static final java.lang.String ALTERNATE_COLOR

See Also:
  Constant Field Values

### iconColor

    protected java.lang.Integer iconColor

### iconBorderColor

    protected java.lang.Integer iconBorderColor

Constructor Detail

### CancelControlIcon

    public CancelControlIcon()

Method Detail

### getDimension

    public java.awt.Dimension getDimension()

  Description copied from class: `Java2Dresource`
  Primary calculation of image dimensions - used when HTML code is generated to render IMG's width and height Subclasses should override this method to provide correct sizes of rendered images

  Specified by:
    `getDimension` in class `Java2Dresource`
  Returns:
    dimensions of the image to be displayed on page

### readState

    public void readState(javax.faces.context.FacesContext context,
                          java.io.DataInput stream)
                   throws java.io.IOException

  Specified by:
    `readState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `readState` in class `Java2Dresource`
  Throws:
    `java.io.IOException`

### writeState

    public void writeState(javax.faces.context.FacesContext context,
                           java.io.DataOutput stream)
                    throws java.io.IOException

  Specified by:
    `writeState` in interface `org.richfaces.resource.StateHolderResource`
  Overrides:
    `writeState` in class `Java2Dresource`
  Throws:
    `java.io.IOException`

### paint

    protected void paint(java.awt.Graphics2D g2d,
                         java.awt.Dimension dimension)

  Description copied from class: `Java2Dresource`
  Template method for create image as Applet-like paint.

  Overrides:
    `paint` in class `Java2Dresource`
  Parameters:
    `g2d` - - graphics to paint.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.